gnutls_fips140_mode_enabled(3)

NAME
gnutls_fips140_mode_enabled - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned gnutls_fips140_mode_enabled( void);

ARGUMENTS

void

DESCRIPTION
Checks whether this library is in FIPS140 mode. The returned value corresponds to the library mode as set with gnutls_fips140_set_mode(). If gnutls_fips140_set_mode() was called with GNUTLS_FIPS140_SET_MODE_THREAD then this function will return the current thread's FIPS140 mode, otherwise the global value is returned.

RETURNS
return non-zero if true or zero if false.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/